<?php

if ($argc != 3) {
    print("Usage: server.php ip_address port\n");
    exit(1);
}

// gather settings from script arguments
$ip_address = $argv[1];
$port = $argv[2];

// show us all errors
error_reporting(E_ALL | E_NOTICE);
// keep running until script aborts or we're killed
set_time_limit(0);
// flush output buffering
ob_implicit_flush();

// include the WebSocketServer class file
require_once 'WebSocketServer.class.php';

// callback function
function process($sourceUser, $msg, $server){

    // echo the data back to all connected users
    foreach($server->getUsers() as $user){
        $server->send($user->socket, $msg);
    }
}

// instantiate the server class
// new WebSocketServer( socket address, socket port, callback function )
$webSocket = new WebSocketServer($ip_address, $port, 'process');
// start it up
$webSocket->run();


